Dreamweaver CS6ではphp5.4のシンタックスチェックをサポートしない件(雑翻訳) «  Moral Hazard!!

ドラマーが音楽やホームページやガラクタを作るよ。

Dreamweaver CS6ではphp5.4のシンタックスチェックをサポートしない件(雑翻訳)

No Comment html,css,php,

DreamweaverCS6でphp5.4から実装されている配列のショートハンドを書こうとしたらシンタックスエラーが出た。
Adobeのサイトで質問があったけど、要約すると

「CS6ではphp5.4以降はサポートしないからCC買え」

との事。
詳細は以下。

Q:PHPの配列でショートハンド使おうと思ったら構文エラーが出るんだけど?

A:そりゃそうさ、DreamweaverCS6はPHP5.3までしかサポートしないよ。
CCならショートハンドを含むphp5.4構文をサポートしてるよ。

Q:OK、CS6は今後アップデートしないってこと?

A:いいえ。CS6は買い切りで永久ライセンス、CCは期間契約(月額・年額)という違いがある。
貴方はCS6をこれ以上支払うことなく永久に使えるけど、これ以上アップデートしない。
CCはお金を支払い続けている間、アップグレードし続ける。

Q:なるほどね、サンキュー。

…こう考えると古いソフト使ってるなぁ…。
そろそろ環境変えないといけないとは思いつつ…

以下、原文。
https://forums.adobe.com/thread/1393664?tstart=0

If you use the shorthand [] in PHP for arrays, dreamweaver thinks it is syntax error.

That's correct. Dreamweaver CS6 supports only PHP 5.3 syntax.
Dreamweaver CC supports the 5.4 syntax (including shorthand array).

OK, so there will be no update for the CS6 version?

No. That's the difference between buying CS6 on a perpetual licence and CC on a subscription basis. You can use CS6 indefinitely without paying any more, but it will not be updated. CC gets regular updates, but is available only on a subscription basis.

OK, makes sense. Thank you.